Skip to main content

Get Release

GET 

/api/v1/catalog/releases/project/:projectIdentifier/version/:version

This service message allows retrieval of a release.

Request

Path Parameters

    projectIdentifier stringrequired

    Project identifier (ID or name)

    version stringrequired

Header Parameters

    X-Project-Token string

Responses

Schema

    id stringrequired
    version stringrequired
    projectName stringrequired
    projectId number
    name stringrequired
    releaseNotes stringrequired

    metadata

    object

    autoDeploy boolean

    Enable automatic deployment of this release

    postInstallAction

    object

    Post-installation action configuration

    type stringrequired

    Possible values: [NONE, WEB, EXE]

    Action type: NONE (no action), WEB (open URL), or EXE (run executable)

    url string

    URL to open (required when type is WEB)

    exePath string

    Executable path to run (required when type is EXE)

    installationSize integer

    Installation size in bytes - disk space required after installation (user-specified)

    totalSize integer

    Total size in bytes - automatically calculated as installationSize + artifactsSize

    status stringrequired

    Possible values: [draft, in_review, approved, released, archived]

    createdAt date-timerequired
    updatedAt date-timerequired
    requiredRegulationsCount numberrequired

    Total number of required regulations

    compliantRegulationsCount numberrequired

    Total number of compliant regulations

    latest booleanrequired
    releasedAt date-time
    createdBy string
    updatedBy string
    isImported booleanrequired

    Indicates if this release was imported from another system

    readonly booleanrequired

    Indicates if this release is read-only (imported releases that are released)

    artifacts

    object[]

  • Array [

  • id numberrequired
    artifactName stringrequired
    type stringrequired

    Possible values: [file, docker_image]

    metadata objectrequired
    isInstallationFile booleanrequired
    dockerImageUrl string
    isExecutable boolean

    Default value: false

    arguments object
    uploadId numberrequired
    status string

    Possible values: [uploaded, pending, uploading, removed, error]

    size int64
    progress number

    Possible values: <= 100

    Upload/download progress percentage (0-100). Check status field for errors.

    error string

    Error message when status indicates an error

    sha256 string

    SHA256 hash of the file

  • ]

  • dependencies

    object[]

  • Array [

  • id stringrequired
    version stringrequired
    projectName stringrequired
    projectId number
    name stringrequired
    releaseNotes stringrequired

    metadata

    object

    autoDeploy boolean

    Enable automatic deployment of this release

    postInstallAction

    object

    Post-installation action configuration

    type stringrequired

    Possible values: [NONE, WEB, EXE]

    Action type: NONE (no action), WEB (open URL), or EXE (run executable)

    url string

    URL to open (required when type is WEB)

    exePath string

    Executable path to run (required when type is EXE)

    installationSize integer

    Installation size in bytes - disk space required after installation (user-specified)

    totalSize integer

    Total size in bytes - automatically calculated as installationSize + artifactsSize

    status stringrequired

    Possible values: [draft, in_review, approved, released, archived]

    createdAt date-timerequired
    updatedAt date-timerequired
    requiredRegulationsCount numberrequired

    Total number of required regulations

    compliantRegulationsCount numberrequired

    Total number of compliant regulations

    latest booleanrequired
    releasedAt date-time
    createdBy string
    updatedBy string
    isImported booleanrequired

    Indicates if this release was imported from another system

    readonly booleanrequired

    Indicates if this release is read-only (imported releases that are released)

  • ]

  • policies

    object[]

    Policies associated with this release

  • Array [

  • id stringrequired

    Policy rule ID

    name stringrequired

    Policy name

    description string

    Policy description

    type stringrequired

    Possible values: [policy, restriction]

    Policy type

    association

    object

    releases

    object[]

    required

    Releases for this policy

  • Array [

  • projectId string

    Project ID

    projectName stringrequired

    Project name

    version stringrequired

    Release version

  • ]

  • version numberrequired

    Policy version number

    createdAt stringrequired

    Policy creation timestamp

    updatedAt stringrequired

    Policy last update timestamp

    isActive booleanrequired

    Whether the policy is active

    rule objectrequired

    The policy rule definition conforming to rule engine schema

  • ]

Loading...